Budget Policy
Contains the BudgetPolicy details.
BudgetPolicy object
Contains the BudgetPolicy details.
- policy_idstring
The Id of the policy. This field is generated by <Databricks> and globally unique.
- policy_namestring
The name of the policy.
- Must be unique among active policies.
- Can contain only characters from the ISO 8859-1 (latin1) set.
- Can't start with reserved keywords such as
databricks:default-policy.
- custom_tagsarray of object
A list of tags defined by the customer. At most 20 entries are allowed per policy.
Show child attributesHide child attributes
- keystring
The key of the tag.
- Must be unique among all custom tags of the same policy
- Cannot be “budget-policy-name”, “budget-policy-id” or "budget-policy-resolution-result" - these tags are preserved.
- valuestring
The value of the tag.
- binding_workspace_idsarray of int64
List of workspaces that this budget policy will be exclusively bound to. An empty binding implies that this budget policy is open to any workspace in the account.
Get GA
GET
Retrieves a policy by it's ID.
API scopes: billing
Parameters
- policy_idstringpath
The Id of the policy.
- account_idstringpath
The account Id of the customer
Response
Returns the BudgetPolicy object.
List GA
GET
Lists all policies. Policies are returned in the alphabetically ascending order of their names.
API scopes: billing
Parameters
- account_idstringpath
The account Id of the customer
- page_sizeint32query
The maximum number of budget policies to return. If unspecified, at most 100 budget policies will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.
- page_tokenstringquery
A page token, received from a previous
ListServerlessPoliciescall. Provide this to retrieve the subsequent page. If unspecified, the first page will be returned.When paginating, all other parameters provided to
ListServerlessPoliciesRequestmust match the call that provided the page token.
- filter_byobjectquery
A filter to apply to the list of policies.
Show child attributesHide child attributes
- policy_namestring
The partial name of policies to be filtered on. If unspecified, all policies will be returned.
- creator_user_idint64
The policy creator user id to be filtered on. If unspecified, all policies will be returned.
- creator_user_namestring
Deprecated: Do not use this field in new integrations. Creator filtering will be removed in a future version. The policy creator user name to be filtered on. If unspecified, all policies will be returned.
- sort_specobjectquery
The sort specification.
Show child attributesHide child attributes
- fieldstring
The filed to sort by
- descendingboolean
Whether to sort in descending order.
Response
Returns a list of BudgetPolicy objects.
Create GA
POST
Creates a new policy.
API scopes: billing
Parameters
- account_idstringpath
The account Id of the customer
Request body
- request_idstring
A unique identifier for this request. Restricted to 36 ASCII characters. A random UUID is recommended. This request is only idempotent if a
request_idis provided.
- policyobject
The policy to create.
policy_idneeds to be empty as it will be generatedpolicy_namemust be provided, custom_tags may need to be provided depending on the cloud provider. All other fields are optional.Show child attributesHide child attributes
- policy_idstring
The Id of the policy. This field is generated by <Databricks> and globally unique.
- policy_namestring
The name of the policy.
- Must be unique among active policies.
- Can contain only characters from the ISO 8859-1 (latin1) set.
- Can't start with reserved keywords such as
databricks:default-policy.
- custom_tagsarray of object
A list of tags defined by the customer. At most 20 entries are allowed per policy.
Show child attributesHide child attributes
- keystring
The key of the tag.
- Must be unique among all custom tags of the same policy
- Cannot be “budget-policy-name”, “budget-policy-id” or "budget-policy-resolution-result" - these tags are preserved.
- valuestring
The value of the tag.
- binding_workspace_idsarray of int64
List of workspaces that this budget policy will be exclusively bound to. An empty binding implies that this budget policy is open to any workspace in the account.
Response
Returns the BudgetPolicy object.
Update GA
PATCH
Updates a policy
API scopes: billing
Parameters
- policyobjectpath
The policy to update.
creator_user_idcannot be specified in the request. All other fields must be specified even if not changed. Thepolicy_idis used to identify the policy to update.Show child attributesHide child attributes
- policy_idstring
The Id of the policy. This field is generated by <Databricks> and globally unique.
- policy_namestring
The name of the policy.
- Must be unique among active policies.
- Can contain only characters from the ISO 8859-1 (latin1) set.
- Can't start with reserved keywords such as
databricks:default-policy.
- custom_tagsarray of object
A list of tags defined by the customer. At most 20 entries are allowed per policy.
Show child attributesHide child attributes
- keystring
The key of the tag.
- Must be unique among all custom tags of the same policy
- Cannot be “budget-policy-name”, “budget-policy-id” or "budget-policy-resolution-result" - these tags are preserved.
- valuestring
The value of the tag.
- binding_workspace_idsarray of int64
List of workspaces that this budget policy will be exclusively bound to. An empty binding implies that this budget policy is open to any workspace in the account.
- account_idstringpath
The account Id of the customer
- limit_configobjectquery
DEPRECATED. This is redundant field as LimitConfig is part of the BudgetPolicy
Response
Returns the BudgetPolicy object.